Contents

# FileDateTime Function

Returns a string that contains the date and the time that a file was created or last modified.

## Syntax:

    FileDateTime (Text As String)

## Parameters:

Text: Any string expression that contains an unambiguous (no wildcards) file specification. You can also use URL notation.

This function determines the exact time of creation or last modification of a file, returned in the format "MM.DD.YYYY HH.MM.SS".

You can set the locale used for controlling the formatting numbers, dates and currencies in LibreOfficeDev Basic in LibreOfficeDev - Preferences Tools - Options - Languages and Locales - General. In Basic format codes, the decimal point (.) is always used as placeholder for the decimal separator defined in your locale and will be replaced by the corresponding character.

The same applies to the locale settings for date, time and currency formats. The Basic format code will be interpreted and displayed according to your locale setting.

### Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleFileDateTime
        MsgBox FileDateTime("C:\autoexec.bat")
    End Sub

Please support us!